Package org.sonatype.maven.polyglot.groovy.execute

# Class GroovyExecuteTask

java.lang.Object
org.sonatype.maven.polyglot.execute.ExecuteTaskSupport
org.sonatype.maven.polyglot.groovy.execute.GroovyExecuteTask

All Implemented Interfaces:
  `ExecuteTask`

public class GroovyExecuteTask extends ExecuteTaskSupport
Encapsulates a Groovy `ExecuteTask`.

Since:
  0.7
Author:
  Jason Dillon

## Constructor Summary

Constructors
Constructor
Description
`GroovyExecuteTask(Object value, Map attrs)`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(ExecuteContext context)`
`Map`
`getAttributes()`
`groovy.lang.Closure`
`getClosure()`
`Object`
`getValue()`
`void`
`setClosure(groovy.lang.Closure closure)`
`String`
`toString()`

### Methods inherited from class org.sonatype.maven.polyglot.execute.ExecuteTaskSupport

`getId, getPhase, setId, setPhase`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GroovyExecuteTask

public GroovyExecuteTask(Object value, Map attrs)

## Method Details

### getValue

public Object getValue()

### getAttributes

public Map getAttributes()

### getClosure

public groovy.lang.Closure getClosure()

### setClosure

public void setClosure(groovy.lang.Closure closure)

### execute

public void execute(ExecuteContext context) throws Exception

Throws:
  `Exception`

### toString

public String toString()

Overrides:
  `toString` in class `Object`